- Qt 6.10
- Qt Core
- C++ Classes
- QPauseAnimation
- Qt 6.10.2 Reference Documentation

# QPauseAnimation Class

The QPauseAnimation class provides a pause for QSequentialAnimationGroup. More...

Header: | `#include <QPauseAnimation>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Core)` `target_link_libraries(mytarget PRIVATE Qt6::Core)`
qmake: | `QT += core`
Inherits: | QAbstractAnimation

- List of all members, including inherited members
- QPauseAnimation is part of Animation Framework.

## Properties

- duration : int

## Public Functions

| QPauseAnimation(QObject *parent = nullptr)
| QPauseAnimation(int msecs, QObject *parent = nullptr)
virtual | ~QPauseAnimation()
QBindable<int> | bindableDuration()
void | setDuration(int msecs)

## Reimplemented Public Functions

virtual int | duration() const override

## Reimplemented Protected Functions

virtual bool | event(QEvent *e) override
virtual void | updateCurrentTime(int) override

## Detailed Description

If you wish to introduce a delay between animations in a QSequentialAnimationGroup, you can insert a QPauseAnimation. This class does not animate anything, but does not finish before a specified number of milliseconds have elapsed from when it was started. You specify the duration of the pause in the constructor. It can also be set directly with setDuration().

It is not necessary to construct a QPauseAnimation yourself. QSequentialAnimationGroup provides the convenience functions addPause() and insertPause(). These functions simply take the number of milliseconds the pause should last.

See also QSequentialAnimationGroup.

## Property Documentation

### `[bindable]` duration : int

Note: This property supports QProperty bindings.

This property holds the duration of the pause.

The duration of the pause. The duration should not be negative. The default duration is 250 milliseconds.

Access functions:

virtual int | duration() const override
void | setDuration(int msecs)

## Member Function Documentation

### QPauseAnimation::QPauseAnimation(QObject *parent = nullptr)

Constructs a QPauseAnimation. parent is passed to QObject's constructor. The default duration is 0.

### QPauseAnimation::QPauseAnimation(int msecs, QObject *parent = nullptr)

Constructs a QPauseAnimation. msecs is the duration of the pause. parent is passed to QObject's constructor.

### `[virtual noexcept]` QPauseAnimation::~QPauseAnimation()

Destroys the pause animation.

### `[override virtual protected]` bool QPauseAnimation::event(QEvent *e)

Reimplements: QAbstractAnimation::event(QEvent *event).

### `[override virtual protected]` void QPauseAnimation::updateCurrentTime(int)

Reimplements: QAbstractAnimation::updateCurrentTime(int currentTime).